version: '3'

services:
  deposition-cloud-gitlab-runner:
    image: gitlab/gitlab-runner:latest
    restart: always
    privileged: true
    volumes:
      - ./deposition.cloud:/etc/gitlab-runner
      - /var/run/docker.sock:/var/run/docker.sock
    entrypoint: ["/etc/gitlab-runner/entrypoint.sh"]
  ranker-dapp-gitlab-runner:
    image: gitlab/gitlab-runner:latest
    restart: always
    privileged: true
    volumes:
      - ./ranker-dapp:/etc/gitlab-runner
      - /var/run/docker.sock:/var/run/docker.sock
    entrypoint: ["/etc/gitlab-runner/entrypoint.sh"]
  home-cloud-gitlab-runner:
    image: gitlab/gitlab-runner:latest
    restart: always
    privileged: true
    volumes:
      - ./home.cloud:/etc/gitlab-runner
      - /var/run/docker.sock:/var/run/docker.sock
    entrypoint: ["/etc/gitlab-runner/entrypoint.sh"]
  christina-science-gitlab-runner:
    image: gitlab/gitlab-runner:latest
    restart: always
    privileged: true
    volumes:
      - ./christina.science:/etc/gitlab-runner
      - /var/run/docker.sock:/var/run/docker.sock
    entrypoint: ["/etc/gitlab-runner/entrypoint.sh"]
